Bug 1006527 - mouse cursor looks squashed for kernel-3.11.0-0.rc0.git6.1.fc20.x86_64 and greater
mouse cursor looks squashed for kernel-3.11.0-0.rc0.git6.1.fc20.x86_64 and g...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
20
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 14:35 EDT by collura
Modified: 2013-12-17 06:29 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 06:29:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for kernel-3.11.0-0.rc0.git3.1.fc20.x86_64 has normal cursor shape (62.13 KB, text/plain)
2013-09-10 14:38 EDT, collura
no flags Details
dmesg for kernel-3.11.0-0.rc0.git6.1.fc20.x86_64 has mishapen mouse cursor (66.74 KB, text/plain)
2013-09-10 14:42 EDT, collura
no flags Details
dmesg for kernel-3.12.0-0.f0.git11.1.fc21.x86_64 has mishapen mouse cursor (64.57 KB, text/plain)
2013-09-10 14:44 EDT, collura
no flags Details

  None (edit)
Description collura 2013-09-10 14:35:13 EDT
Description of problem:
 
 mouse cursor works nomrally but is mishaped by being vertically shortened.

 the video appears generally normal for windows and fonts
 but the mouse cursor is vertically squashed.

 this does NOT happen with kernels less than or equal to  
   kernel-3.11.0-0.rc0.git3.1.fc20.x86_64
   kernel-3.10.x.fc19.x86_64

 DOES happen with kernels greater than or equal to
   kernel-3.11.0-0.rc0.git6.1.fc20.x86_64

 also happens with
   kernel-3.12.0-0.rc0.git11.1.fc21.x86_64 

Version-Release number of selected component (if applicable):

 tested on a fully updated fc19 system with the following modifications:
   kernel-3.11.0-0.rc0.git6.1.fc20.x86_64
   linux-firmware-20130724-30.git31f6b30.fc20.x86_64
   microcode_ctl-2:2.1-1.fc20.x86_64

How reproducible:

 always

Steps to Reproduce:
1. boot with kernels greater than kernel-3.11.0-0.rc0.git6.1.fc20.x86_64
2. mouse cursor appears vertically shortened to half its normal height 
3.

Actual results:

  mouse cursor looks squashed

Expected results:

 mouse cursor look normal

Additional info:

 another video bug report with related info about the hardware/setup:
   https://bugzilla.redhat.com/show_bug.cgi?id=991737
Comment 1 collura 2013-09-10 14:38:38 EDT
Created attachment 796098 [details]
dmesg for kernel-3.11.0-0.rc0.git3.1.fc20.x86_64 has normal cursor shape
Comment 2 collura 2013-09-10 14:42:42 EDT
Created attachment 796101 [details]
dmesg for kernel-3.11.0-0.rc0.git6.1.fc20.x86_64 has mishapen mouse cursor
Comment 3 collura 2013-09-10 14:44:34 EDT
Created attachment 796102 [details]
dmesg for kernel-3.12.0-0.f0.git11.1.fc21.x86_64 has mishapen mouse cursor
Comment 4 collura 2013-09-10 14:56:31 EDT
some mouse results of various kernels on toshiba satellite L75D-A7283 with A4-5000 APU with embedded Radeon HD8330 video chip:

0) $ uname -a
Linux localhost.localdomain 3.11.0-0.rc0.git2.1.fc20.x86_64 #1 SMP Mon Jul 8 20:15:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

kernel-3.11.0-0.rc0.git2.1.fc20.x86_64   
  mouse cursor ok not squished, 
  no brightness control 
    ( no echo acpi_video0, no radeon_bl0 to echo, 
      brightness slider exists but no brightness change, 
      no freeze on move), 
  background of some white/gray windows have static noise flickering
  (forexample the comment boxes in bugzilla webpage)

1)
==> kernel-3.11.0-0.rc0.git3.1.fc20.x86_64   
  mouse cursor ok not squished,
  static, slider move but doesntchange brightness though didnt freeze

2) 
==>kernel-3.11.0-0.rc0.git6.1.fc20.x86_64  
  vertically squished mouse cursor,
  no static, 
  echo acpi_video0 causes freeze, 
  echo radeom_bl0 changes brightness ok, 
  settings-power-brightness_slider causes freeze

3)
kernel-3.11.0-0.rc0.git7.1.fc20.x86_64    not tested

4)
kernel-3.11.0-0.rc1.git0.1.fc20.x86_64   
   vertically squished mouse cursor, 
   also artifact 5xwidth of cursor and color of desktop background follows cursor around screen,
   acpi_video0 exists but echo causes freeze, 
   radeon_bl0 exists and echo sucessfully changes brightness

5)
kernel-3.11.0-3.fc20.x86_64   
  vertically squished mouse cursor, 
  echo acpi_video0 doesnt freeze but doesnt change brightness, 
  echo radeon_bl0 successfully changes brightness, (slider not tested)

6)
kernel-3.11.0-300.fc20.x86_64            
  vertically squished mouse cursor,
  echo acpi_video0 freezes, 
  echo radeon_bl0 successfully changes brightness, 
  slider causes freeze

7)
kernel-3.12.0.0.rc0.git11.1.fc21.x86_64 
  vertically squished mouse cursor,
  echo acpi_video0 causes freeze , 
  echo radeon_bl0 successfully changes brightness, 
  no brightness slider on settings-power page
Comment 5 Michele Baldessari 2013-09-11 15:43:02 EDT
Probably relevant:
https://bugs.freedesktop.org/show_bug.cgi?id=33183
Comment 6 collura 2013-10-02 16:49:21 EDT
8) 
kernel-3.12.0-0.rc3.git1.1.fc21.x86_64
linux-firmware-20131001-32.git8ac7c7e.fc19.x86_64 
  ('update to new git, drop radeon patches')
microcode_ctl-2:2.1-2.fc21.x86_64 
  ( amd already has been moved to linux-firmware package )

  vertically squashed mouse cursor,
  echo acpi_video0 causes freeze,
  echo radeon_bl0 successfully changes brightness
  no brightness slider on settings-power page
Comment 7 collura 2013-10-05 02:07:58 EDT
item#6 of comment#4 already reported on kernel-3.11.0-300.fc20.x86_64 running on top of an otherwise fc19 install but the squashed cursor also exists in the fc20-alpha livecd which also uses kernel-3.11.0-300.fc20.x86_64

fc20-alpha-livecd nice :') but still broke:
  vertically squashed cursor
  echo acpi_video0 untested
  echo radeon_bl0 successfully changes brightness
  brightness slider doesnt change brightness but locks up sysem
  keyboard brightness slider untested
Comment 8 collura 2013-10-24 05:20:23 EDT
6.01) kernel-3.11.6-301.fc20.x86_64
  vertically squashed cursor
  echo acpi_video0 untested
  echo radeon_bl0 successfully changes brightness
  brightness slider doesnt change brightness but locks up sysem

8.01) kernel-3.12.0-0.rc6.git1.1.fc21.x86_64
  vertically squashed cursor
  echo acpi_video0 untested
  echo radeon_bl0 successfully changes brightness
  brightness slider doesnt change brightness but locks up sysem
Comment 9 collura 2013-11-19 06:45:26 EST
found 'workaround' that if add kernel option 'pci=noacpi' at boot when working with fedora20 system with the effected kernels that squashing of the cursor doesnt occur. :')

9) 
kernel-3.13.0-0.rc0.git5.1.fc21.x86_64 on fedora20 system
  vertically squashed cursor 
     (unless add 'pci=noacpi' or 'acpi=off' kernel options :.) )
  echo acpi_video0 untested 
     ( '/sys/class/backlight/acpi_video0' doesnt exist)
  echo radeon_bl0 successfully changes brightness 
     ( 'echo 40 > /sys/class/backlight/radeon_bl0/brightness')
  brightness slider successfully changes brightness
Comment 10 collura 2013-12-01 08:22:35 EST
improved without using 'pci=noacpi' workaround: 

10)
kernel-3.13.0-0.rc2.git0.1.fc21.x86_64 on fedora20 system
  mouse cursor ok, not squished (ok and not using 'pci=noacpi' :') )
  echo acpi_video0 successfully changes brightness
     ( '/sys/class/backlight/acpi_video0' exists now)
  echo radeon_bl0 successfully changes brightness :')
  brightness slider successfully changes brightness :')

(fyi, something in the neighborhoods of 
  kernel-3.13.0-0.rc1.git3.1.fc21.x86_64 
    (kernel greater than rc1.git1.1?) 
  and 
  systemd-208-6.fc20.x86_64 
    (systemd greater than 207?) 
seem to work together to make the brightness not forgetfull anymore :') )

leaving bug open (fc20 kernels are not booting well for me right now)
Comment 11 collura 2013-12-17 06:29:18 EST
kernel-3.12.5-301.fc20.x86_64 on fedora20 system
  mouse cursor ok, not squashed (ok and not using 'pci=noacpi' :') )
  echo acpi_video successfully changes brightness
     ( '/sys/class/backlight/acpi_video0' exists now)
  echo radeon_bl0 successfully changes brightness :')
  brightness sliders successfully chcange brightness :')
     ( works with both the settings-power and the toolbar sliders)
  brightness not forgetful now :')

kernel-3.13.0-0.rc4.git0.1.fc21.x86_64 on fedora20 system
  still works
  brightness not forgetfull

so closing this bug and will reopen if breaks. 

thanks :')

Note You need to log in before you can comment on or make changes to this bug.